# Call outgoing

An action block that awaits an outgoing call.

The fiber will pause until an outgoing call has reached the state of the proceed option:

- When dialing — outgoing call has begun to dial.
- When hung up — outgoing call was hung up, it may’ve been answered or gone unanswered.
- Android doesn’t provide a way of detecting when an outgoing call is answered.

Note! This block won’t work when used during an ongoing call since it has to detect each preceding state. Use the Call state block for such cases.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Phone number — only proceed when this phone number is called, default is any.
- Subscription id — id of subscription (SIM) the call must be using, default is any.

## Output variables

- Called phone number — variable to assign the called phone number.
- Used subscription id — variable to assign the id of subscription (SIM) through which the call was made.